#ifndef MINORI_SERVICES_ANILIST_H_
#define MINORI_SERVICES_ANILIST_H_

#include "core/anime.h"
#include "core/date.h"

#include <string>
#include <vector>

namespace Services {
namespace AniList {

bool AuthorizeUser();

/* Read queries */
int GetAnimeList();

/* Search query */
std::vector<int> Search(const std::string &search);
bool GetSeason(Anime::Season season);

/* Write queries (mutations) */
int UpdateAnimeEntry(int id);

} // namespace AniList
} // namespace Services

#endif // MINORI_SERVICES_ANILIST_H_
